angular.module('focaModalDetalleCisternas')
    .factory('focaModalDetalleCisternasService', [
        '$http',
        '$cookies',
        'API_ENDPOINT',
        function($http, $cookies, API_ENDPOINT) {
            var url = API_ENDPOINT.URL;
            return {
                idUsuario: $cookies.get('vendedorCobrador'),
                obtenerVehiculoById: function(idVehiculo) {
                    return $http.get(url + '/vehiculo/' + idVehiculo);
                },
                obtenerRemitoById: function(idRemito) {
                    return $http.get(url + '/remito/obtener/' + idRemito);
                },
                guardarCisternas: function(cisterna, idRemito) {
                    return $http.post(url + '/cisterna/guardar/cargar/' +
                        this.idUsuario + '/' + idRemito,cisterna);
                },
                obtenerCisternasPorFecha: function(idVehiculo, orden) {
                    return $http.post(url + '/cisterna/listar/fecha',
                        {
                            idVehiculo: idVehiculo,
                            fechaReparto: this.fecha,
                            orden: orden
                        });
                }
            };
        }
    ]);
